package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceMessageStatEntity;
/**
* 设备消息统计查询对象
*
* @author zxfei
* @date 2024-03-26
*/
public class DeviceMessageStatQuery extends DeviceMessageStatEntity {
    /** 开始 ID */
    private Long idStart;

    /** 结束 ID */
    private Long idEnd;

    /** 增加 ID */
    private Long idIncrement;

    /** ID列表 */
    private List <Long> idList;

    /** ID排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id，来源基础服务平台 */
    private Long siteIdStart;

    /** 结束 站点Id，来源基础服务平台 */
    private Long siteIdEnd;

    /** 增加 站点Id，来源基础服务平台 */
    private Long siteIdIncrement;

    /** 站点Id，来源基础服务平台列表 */
    private List <Long> siteIdList;

    /** 站点Id，来源基础服务平台排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 产品Id */
    private Long productIdStart;

    /** 结束 产品Id */
    private Long productIdEnd;

    /** 增加 产品Id */
    private Long productIdIncrement;

    /** 产品Id列表 */
    private List <Long> productIdList;

    /** 产品Id排除列表 */
    private List <Long> productIdNotList;

    /** 产品编码 */
    private List<String> productCodeList;

    /** 产品编码排除列表 */
    private List <String> productCodeNotList;
    /** 产品名称 */
    private List<String> productNameList;

    /** 产品名称排除列表 */
    private List <String> productNameNotList;
    /** 开始 今日告警数量 */
    private Integer alarmTotalCountStart;

    /** 结束 今日告警数量 */
    private Integer alarmTotalCountEnd;

    /** 增加 今日告警数量 */
    private Integer alarmTotalCountIncrement;

    /** 今日告警数量列表 */
    private List <Integer> alarmTotalCountList;

    /** 今日告警数量排除列表 */
    private List <Integer> alarmTotalCountNotList;

    /** 开始 今日消息推送数量 */
    private Integer pushTotalCountStart;

    /** 结束 今日消息推送数量 */
    private Integer pushTotalCountEnd;

    /** 增加 今日消息推送数量 */
    private Integer pushTotalCountIncrement;

    /** 今日消息推送数量列表 */
    private List <Integer> pushTotalCountList;

    /** 今日消息推送数量排除列表 */
    private List <Integer> pushTotalCountNotList;

    /** 开始 今日上行消息数量 */
    private Integer uploadMessageTotalCountStart;

    /** 结束 今日上行消息数量 */
    private Integer uploadMessageTotalCountEnd;

    /** 增加 今日上行消息数量 */
    private Integer uploadMessageTotalCountIncrement;

    /** 今日上行消息数量列表 */
    private List <Integer> uploadMessageTotalCountList;

    /** 今日上行消息数量排除列表 */
    private List <Integer> uploadMessageTotalCountNotList;

    /** 开始 今日下行消息数量 */
    private Integer downloadMessageTotalCountStart;

    /** 结束 今日下行消息数量 */
    private Integer downloadMessageTotalCountEnd;

    /** 增加 今日下行消息数量 */
    private Integer downloadMessageTotalCountIncrement;

    /** 今日下行消息数量列表 */
    private List <Integer> downloadMessageTotalCountList;

    /** 今日下行消息数量排除列表 */
    private List <Integer> downloadMessageTotalCountNotList;

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceMessageStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceMessageStatQuery> andConditionList;

    public DeviceMessageStatQuery(){}

    /**
    * 获取 开始 ID
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 ID
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 ID
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 ID
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 ID
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 ID
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 ID
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 ID
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id，来源基础服务平台
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id，来源基础服务平台
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id，来源基础服务平台
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id，来源基础服务平台
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id，来源基础服务平台
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id，来源基础服务平台
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id，来源基础服务平台
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id，来源基础服务平台
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 开始 产品Id
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品Id
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品Id
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品Id
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品Id
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品Id
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品Id
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品Id
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 产品Id
    * @return productIdNotList
    */
    public List<Long> getProductIdNotList(){
        return this.productIdNotList;
    }

    /**
    * 设置 产品Id
    * @param productIdNotList
    */
    public void setProductIdNotList(List<Long> productIdNotList){
        this.productIdNotList = productIdNotList;
    }


    /**
    * 获取 产品编码
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品编码
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品编码
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品编码
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 产品名称
    * @return productNameList
    */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }

    /**
    * 获取 产品名称
    * @return productNameNotList
    */
    public List<String> getProductNameNotList(){
        return this.productNameNotList;
    }

    /**
    * 设置 产品名称
    * @param productNameNotList
    */
    public void setProductNameNotList(List<String> productNameNotList){
        this.productNameNotList = productNameNotList;
    }

    /**
    * 获取 开始 今日告警数量
    * @return alarmTotalCountStart
    */
    public Integer getAlarmTotalCountStart(){
        return this.alarmTotalCountStart;
    }

    /**
    * 设置 开始 今日告警数量
    * @param alarmTotalCountStart
    */
    public void setAlarmTotalCountStart(Integer alarmTotalCountStart){
        this.alarmTotalCountStart = alarmTotalCountStart;
    }

    /**
    * 获取 结束 今日告警数量
    * @return $alarmTotalCountEnd
    */
    public Integer getAlarmTotalCountEnd(){
        return this.alarmTotalCountEnd;
    }

    /**
    * 设置 结束 今日告警数量
    * @param alarmTotalCountEnd
    */
    public void setAlarmTotalCountEnd(Integer alarmTotalCountEnd){
        this.alarmTotalCountEnd = alarmTotalCountEnd;
    }

    /**
    * 获取 增加 今日告警数量
    * @return alarmTotalCountIncrement
    */
    public Integer getAlarmTotalCountIncrement(){
        return this.alarmTotalCountIncrement;
    }

    /**
    * 设置 增加 今日告警数量
    * @param alarmTotalCountIncrement
    */
    public void setAlarmTotalCountIncrement(Integer alarmTotalCountIncrement){
        this.alarmTotalCountIncrement = alarmTotalCountIncrement;
    }

    /**
    * 获取 今日告警数量
    * @return alarmTotalCountList
    */
    public List<Integer> getAlarmTotalCountList(){
        return this.alarmTotalCountList;
    }

    /**
    * 设置 今日告警数量
    * @param alarmTotalCountList
    */
    public void setAlarmTotalCountList(List<Integer> alarmTotalCountList){
        this.alarmTotalCountList = alarmTotalCountList;
    }

    /**
    * 获取 今日告警数量
    * @return alarmTotalCountNotList
    */
    public List<Integer> getAlarmTotalCountNotList(){
        return this.alarmTotalCountNotList;
    }

    /**
    * 设置 今日告警数量
    * @param alarmTotalCountNotList
    */
    public void setAlarmTotalCountNotList(List<Integer> alarmTotalCountNotList){
        this.alarmTotalCountNotList = alarmTotalCountNotList;
    }


    /**
    * 获取 开始 今日消息推送数量
    * @return pushTotalCountStart
    */
    public Integer getPushTotalCountStart(){
        return this.pushTotalCountStart;
    }

    /**
    * 设置 开始 今日消息推送数量
    * @param pushTotalCountStart
    */
    public void setPushTotalCountStart(Integer pushTotalCountStart){
        this.pushTotalCountStart = pushTotalCountStart;
    }

    /**
    * 获取 结束 今日消息推送数量
    * @return $pushTotalCountEnd
    */
    public Integer getPushTotalCountEnd(){
        return this.pushTotalCountEnd;
    }

    /**
    * 设置 结束 今日消息推送数量
    * @param pushTotalCountEnd
    */
    public void setPushTotalCountEnd(Integer pushTotalCountEnd){
        this.pushTotalCountEnd = pushTotalCountEnd;
    }

    /**
    * 获取 增加 今日消息推送数量
    * @return pushTotalCountIncrement
    */
    public Integer getPushTotalCountIncrement(){
        return this.pushTotalCountIncrement;
    }

    /**
    * 设置 增加 今日消息推送数量
    * @param pushTotalCountIncrement
    */
    public void setPushTotalCountIncrement(Integer pushTotalCountIncrement){
        this.pushTotalCountIncrement = pushTotalCountIncrement;
    }

    /**
    * 获取 今日消息推送数量
    * @return pushTotalCountList
    */
    public List<Integer> getPushTotalCountList(){
        return this.pushTotalCountList;
    }

    /**
    * 设置 今日消息推送数量
    * @param pushTotalCountList
    */
    public void setPushTotalCountList(List<Integer> pushTotalCountList){
        this.pushTotalCountList = pushTotalCountList;
    }

    /**
    * 获取 今日消息推送数量
    * @return pushTotalCountNotList
    */
    public List<Integer> getPushTotalCountNotList(){
        return this.pushTotalCountNotList;
    }

    /**
    * 设置 今日消息推送数量
    * @param pushTotalCountNotList
    */
    public void setPushTotalCountNotList(List<Integer> pushTotalCountNotList){
        this.pushTotalCountNotList = pushTotalCountNotList;
    }


    /**
    * 获取 开始 今日上行消息数量
    * @return uploadMessageTotalCountStart
    */
    public Integer getUploadMessageTotalCountStart(){
        return this.uploadMessageTotalCountStart;
    }

    /**
    * 设置 开始 今日上行消息数量
    * @param uploadMessageTotalCountStart
    */
    public void setUploadMessageTotalCountStart(Integer uploadMessageTotalCountStart){
        this.uploadMessageTotalCountStart = uploadMessageTotalCountStart;
    }

    /**
    * 获取 结束 今日上行消息数量
    * @return $uploadMessageTotalCountEnd
    */
    public Integer getUploadMessageTotalCountEnd(){
        return this.uploadMessageTotalCountEnd;
    }

    /**
    * 设置 结束 今日上行消息数量
    * @param uploadMessageTotalCountEnd
    */
    public void setUploadMessageTotalCountEnd(Integer uploadMessageTotalCountEnd){
        this.uploadMessageTotalCountEnd = uploadMessageTotalCountEnd;
    }

    /**
    * 获取 增加 今日上行消息数量
    * @return uploadMessageTotalCountIncrement
    */
    public Integer getUploadMessageTotalCountIncrement(){
        return this.uploadMessageTotalCountIncrement;
    }

    /**
    * 设置 增加 今日上行消息数量
    * @param uploadMessageTotalCountIncrement
    */
    public void setUploadMessageTotalCountIncrement(Integer uploadMessageTotalCountIncrement){
        this.uploadMessageTotalCountIncrement = uploadMessageTotalCountIncrement;
    }

    /**
    * 获取 今日上行消息数量
    * @return uploadMessageTotalCountList
    */
    public List<Integer> getUploadMessageTotalCountList(){
        return this.uploadMessageTotalCountList;
    }

    /**
    * 设置 今日上行消息数量
    * @param uploadMessageTotalCountList
    */
    public void setUploadMessageTotalCountList(List<Integer> uploadMessageTotalCountList){
        this.uploadMessageTotalCountList = uploadMessageTotalCountList;
    }

    /**
    * 获取 今日上行消息数量
    * @return uploadMessageTotalCountNotList
    */
    public List<Integer> getUploadMessageTotalCountNotList(){
        return this.uploadMessageTotalCountNotList;
    }

    /**
    * 设置 今日上行消息数量
    * @param uploadMessageTotalCountNotList
    */
    public void setUploadMessageTotalCountNotList(List<Integer> uploadMessageTotalCountNotList){
        this.uploadMessageTotalCountNotList = uploadMessageTotalCountNotList;
    }


    /**
    * 获取 开始 今日下行消息数量
    * @return downloadMessageTotalCountStart
    */
    public Integer getDownloadMessageTotalCountStart(){
        return this.downloadMessageTotalCountStart;
    }

    /**
    * 设置 开始 今日下行消息数量
    * @param downloadMessageTotalCountStart
    */
    public void setDownloadMessageTotalCountStart(Integer downloadMessageTotalCountStart){
        this.downloadMessageTotalCountStart = downloadMessageTotalCountStart;
    }

    /**
    * 获取 结束 今日下行消息数量
    * @return $downloadMessageTotalCountEnd
    */
    public Integer getDownloadMessageTotalCountEnd(){
        return this.downloadMessageTotalCountEnd;
    }

    /**
    * 设置 结束 今日下行消息数量
    * @param downloadMessageTotalCountEnd
    */
    public void setDownloadMessageTotalCountEnd(Integer downloadMessageTotalCountEnd){
        this.downloadMessageTotalCountEnd = downloadMessageTotalCountEnd;
    }

    /**
    * 获取 增加 今日下行消息数量
    * @return downloadMessageTotalCountIncrement
    */
    public Integer getDownloadMessageTotalCountIncrement(){
        return this.downloadMessageTotalCountIncrement;
    }

    /**
    * 设置 增加 今日下行消息数量
    * @param downloadMessageTotalCountIncrement
    */
    public void setDownloadMessageTotalCountIncrement(Integer downloadMessageTotalCountIncrement){
        this.downloadMessageTotalCountIncrement = downloadMessageTotalCountIncrement;
    }

    /**
    * 获取 今日下行消息数量
    * @return downloadMessageTotalCountList
    */
    public List<Integer> getDownloadMessageTotalCountList(){
        return this.downloadMessageTotalCountList;
    }

    /**
    * 设置 今日下行消息数量
    * @param downloadMessageTotalCountList
    */
    public void setDownloadMessageTotalCountList(List<Integer> downloadMessageTotalCountList){
        this.downloadMessageTotalCountList = downloadMessageTotalCountList;
    }

    /**
    * 获取 今日下行消息数量
    * @return downloadMessageTotalCountNotList
    */
    public List<Integer> getDownloadMessageTotalCountNotList(){
        return this.downloadMessageTotalCountNotList;
    }

    /**
    * 设置 今日下行消息数量
    * @param downloadMessageTotalCountNotList
    */
    public void setDownloadMessageTotalCountNotList(List<Integer> downloadMessageTotalCountNotList){
        this.downloadMessageTotalCountNotList = downloadMessageTotalCountNotList;
    }


    /**
    * 获取 开始 年
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 年
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 年
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 年
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 年
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 年
    * @return yearNotList
    */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
    * 设置 年
    * @param yearNotList
    */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
    * 获取 开始 月
    * @return monthStart
    */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
    * 设置 开始 月
    * @param monthStart
    */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
    * 获取 结束 月
    * @return $monthEnd
    */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
    * 获取 增加 月
    * @return monthIncrement
    */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
    * 获取 月
    * @return monthList
    */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
    * 获取 月
    * @return monthNotList
    */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
    * 设置 月
    * @param monthNotList
    */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
    * 获取 开始 日
    * @return dayStart
    */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
    * 设置 开始 日
    * @param dayStart
    */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
    * 获取 结束 日
    * @return $dayEnd
    */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
    * 获取 增加 日
    * @return dayIncrement
    */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
    * 获取 日
    * @return dayList
    */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
    * 获取 日
    * @return dayNotList
    */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
    * 设置 日
    * @param dayNotList
    */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  ID
    * @param id
    */
    public DeviceMessageStatQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 ID
    * @param idStart
    */
    public DeviceMessageStatQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 ID
    * @param idEnd
    */
    public DeviceMessageStatQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 ID
    * @param idIncrement
    */
    public DeviceMessageStatQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 ID
    * @param idList
    */
    public DeviceMessageStatQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 ID
        * @param idNotList
        */
        public DeviceMessageStatQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id，来源基础服务平台
    * @param siteId
    */
    public DeviceMessageStatQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id，来源基础服务平台
    * @param siteIdStart
    */
    public DeviceMessageStatQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id，来源基础服务平台
    * @param siteIdEnd
    */
    public DeviceMessageStatQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id，来源基础服务平台
    * @param siteIdIncrement
    */
    public DeviceMessageStatQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdList
    */
    public DeviceMessageStatQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id，来源基础服务平台
        * @param siteIdNotList
        */
        public DeviceMessageStatQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }

    /**
    * 设置  产品Id
    * @param productId
    */
    public DeviceMessageStatQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品Id
    * @param productIdStart
    */
    public DeviceMessageStatQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品Id
    * @param productIdEnd
    */
    public DeviceMessageStatQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品Id
    * @param productIdIncrement
    */
    public DeviceMessageStatQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品Id
    * @param productIdList
    */
    public DeviceMessageStatQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }

        /**
        * 设置 产品Id
        * @param productIdNotList
        */
        public DeviceMessageStatQuery productIdNotList(List<Long> productIdNotList){
        this.productIdNotList = productIdNotList;
        return this;
        }


	/**
    * 设置 产品编码
    * @param productCode
    */
    public DeviceMessageStatQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品编码
    * @param productCodeList
    */
    public DeviceMessageStatQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 产品名称
    * @param productName
    */
    public DeviceMessageStatQuery productName(String productName){
        setProductName(productName);
		return this;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public DeviceMessageStatQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
		return this;
    }

    /**
    * 设置  今日告警数量
    * @param alarmTotalCount
    */
    public DeviceMessageStatQuery alarmTotalCount(Integer alarmTotalCount){
	    setAlarmTotalCount(alarmTotalCount);
		return this;
    }
	
	 /**
    * 设置 开始 今日告警数量
    * @param alarmTotalCountStart
    */
    public DeviceMessageStatQuery alarmTotalCountStart(Integer alarmTotalCountStart){
		this.alarmTotalCountStart = alarmTotalCountStart;
		return this;
    }

    /**
    * 设置 结束 今日告警数量
    * @param alarmTotalCountEnd
    */
    public DeviceMessageStatQuery alarmTotalCountEnd(Integer alarmTotalCountEnd){
		this.alarmTotalCountEnd = alarmTotalCountEnd;
		return this;
    }

    /**
    * 设置 增加 今日告警数量
    * @param alarmTotalCountIncrement
    */
    public DeviceMessageStatQuery alarmTotalCountIncrement(Integer alarmTotalCountIncrement){
		this.alarmTotalCountIncrement = alarmTotalCountIncrement;
		return this;
    }

    /**
    * 设置 今日告警数量
    * @param alarmTotalCountList
    */
    public DeviceMessageStatQuery alarmTotalCountList(List<Integer> alarmTotalCountList){
        this.alarmTotalCountList = alarmTotalCountList;
		return this;
        }

        /**
        * 设置 今日告警数量
        * @param alarmTotalCountNotList
        */
        public DeviceMessageStatQuery alarmTotalCountNotList(List<Integer> alarmTotalCountNotList){
        this.alarmTotalCountNotList = alarmTotalCountNotList;
        return this;
        }

    /**
    * 设置  今日消息推送数量
    * @param pushTotalCount
    */
    public DeviceMessageStatQuery pushTotalCount(Integer pushTotalCount){
	    setPushTotalCount(pushTotalCount);
		return this;
    }
	
	 /**
    * 设置 开始 今日消息推送数量
    * @param pushTotalCountStart
    */
    public DeviceMessageStatQuery pushTotalCountStart(Integer pushTotalCountStart){
		this.pushTotalCountStart = pushTotalCountStart;
		return this;
    }

    /**
    * 设置 结束 今日消息推送数量
    * @param pushTotalCountEnd
    */
    public DeviceMessageStatQuery pushTotalCountEnd(Integer pushTotalCountEnd){
		this.pushTotalCountEnd = pushTotalCountEnd;
		return this;
    }

    /**
    * 设置 增加 今日消息推送数量
    * @param pushTotalCountIncrement
    */
    public DeviceMessageStatQuery pushTotalCountIncrement(Integer pushTotalCountIncrement){
		this.pushTotalCountIncrement = pushTotalCountIncrement;
		return this;
    }

    /**
    * 设置 今日消息推送数量
    * @param pushTotalCountList
    */
    public DeviceMessageStatQuery pushTotalCountList(List<Integer> pushTotalCountList){
        this.pushTotalCountList = pushTotalCountList;
		return this;
        }

        /**
        * 设置 今日消息推送数量
        * @param pushTotalCountNotList
        */
        public DeviceMessageStatQuery pushTotalCountNotList(List<Integer> pushTotalCountNotList){
        this.pushTotalCountNotList = pushTotalCountNotList;
        return this;
        }

    /**
    * 设置  今日上行消息数量
    * @param uploadMessageTotalCount
    */
    public DeviceMessageStatQuery uploadMessageTotalCount(Integer uploadMessageTotalCount){
	    setUploadMessageTotalCount(uploadMessageTotalCount);
		return this;
    }
	
	 /**
    * 设置 开始 今日上行消息数量
    * @param uploadMessageTotalCountStart
    */
    public DeviceMessageStatQuery uploadMessageTotalCountStart(Integer uploadMessageTotalCountStart){
		this.uploadMessageTotalCountStart = uploadMessageTotalCountStart;
		return this;
    }

    /**
    * 设置 结束 今日上行消息数量
    * @param uploadMessageTotalCountEnd
    */
    public DeviceMessageStatQuery uploadMessageTotalCountEnd(Integer uploadMessageTotalCountEnd){
		this.uploadMessageTotalCountEnd = uploadMessageTotalCountEnd;
		return this;
    }

    /**
    * 设置 增加 今日上行消息数量
    * @param uploadMessageTotalCountIncrement
    */
    public DeviceMessageStatQuery uploadMessageTotalCountIncrement(Integer uploadMessageTotalCountIncrement){
		this.uploadMessageTotalCountIncrement = uploadMessageTotalCountIncrement;
		return this;
    }

    /**
    * 设置 今日上行消息数量
    * @param uploadMessageTotalCountList
    */
    public DeviceMessageStatQuery uploadMessageTotalCountList(List<Integer> uploadMessageTotalCountList){
        this.uploadMessageTotalCountList = uploadMessageTotalCountList;
		return this;
        }

        /**
        * 设置 今日上行消息数量
        * @param uploadMessageTotalCountNotList
        */
        public DeviceMessageStatQuery uploadMessageTotalCountNotList(List<Integer> uploadMessageTotalCountNotList){
        this.uploadMessageTotalCountNotList = uploadMessageTotalCountNotList;
        return this;
        }

    /**
    * 设置  今日下行消息数量
    * @param downloadMessageTotalCount
    */
    public DeviceMessageStatQuery downloadMessageTotalCount(Integer downloadMessageTotalCount){
	    setDownloadMessageTotalCount(downloadMessageTotalCount);
		return this;
    }
	
	 /**
    * 设置 开始 今日下行消息数量
    * @param downloadMessageTotalCountStart
    */
    public DeviceMessageStatQuery downloadMessageTotalCountStart(Integer downloadMessageTotalCountStart){
		this.downloadMessageTotalCountStart = downloadMessageTotalCountStart;
		return this;
    }

    /**
    * 设置 结束 今日下行消息数量
    * @param downloadMessageTotalCountEnd
    */
    public DeviceMessageStatQuery downloadMessageTotalCountEnd(Integer downloadMessageTotalCountEnd){
		this.downloadMessageTotalCountEnd = downloadMessageTotalCountEnd;
		return this;
    }

    /**
    * 设置 增加 今日下行消息数量
    * @param downloadMessageTotalCountIncrement
    */
    public DeviceMessageStatQuery downloadMessageTotalCountIncrement(Integer downloadMessageTotalCountIncrement){
		this.downloadMessageTotalCountIncrement = downloadMessageTotalCountIncrement;
		return this;
    }

    /**
    * 设置 今日下行消息数量
    * @param downloadMessageTotalCountList
    */
    public DeviceMessageStatQuery downloadMessageTotalCountList(List<Integer> downloadMessageTotalCountList){
        this.downloadMessageTotalCountList = downloadMessageTotalCountList;
		return this;
        }

        /**
        * 设置 今日下行消息数量
        * @param downloadMessageTotalCountNotList
        */
        public DeviceMessageStatQuery downloadMessageTotalCountNotList(List<Integer> downloadMessageTotalCountNotList){
        this.downloadMessageTotalCountNotList = downloadMessageTotalCountNotList;
        return this;
        }

    /**
    * 设置  年
    * @param year
    */
    public DeviceMessageStatQuery year(Integer year){
	    setYear(year);
		return this;
    }
	
	 /**
    * 设置 开始 年
    * @param yearStart
    */
    public DeviceMessageStatQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public DeviceMessageStatQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public DeviceMessageStatQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public DeviceMessageStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }

        /**
        * 设置 年
        * @param yearNotList
        */
        public DeviceMessageStatQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
        }

    /**
    * 设置  月
    * @param month
    */
    public DeviceMessageStatQuery month(Integer month){
	    setMonth(month);
		return this;
    }
	
	 /**
    * 设置 开始 月
    * @param monthStart
    */
    public DeviceMessageStatQuery monthStart(Integer monthStart){
		this.monthStart = monthStart;
		return this;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public DeviceMessageStatQuery monthEnd(Integer monthEnd){
		this.monthEnd = monthEnd;
		return this;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public DeviceMessageStatQuery monthIncrement(Integer monthIncrement){
		this.monthIncrement = monthIncrement;
		return this;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public DeviceMessageStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
		return this;
        }

        /**
        * 设置 月
        * @param monthNotList
        */
        public DeviceMessageStatQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
        }

    /**
    * 设置  日
    * @param day
    */
    public DeviceMessageStatQuery day(Integer day){
	    setDay(day);
		return this;
    }
	
	 /**
    * 设置 开始 日
    * @param dayStart
    */
    public DeviceMessageStatQuery dayStart(Integer dayStart){
		this.dayStart = dayStart;
		return this;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public DeviceMessageStatQuery dayEnd(Integer dayEnd){
		this.dayEnd = dayEnd;
		return this;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public DeviceMessageStatQuery dayIncrement(Integer dayIncrement){
		this.dayIncrement = dayIncrement;
		return this;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public DeviceMessageStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
		return this;
        }

        /**
        * 设置 日
        * @param dayNotList
        */
        public DeviceMessageStatQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DeviceMessageStatQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DeviceMessageStatQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DeviceMessageStatQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DeviceMessageStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DeviceMessageStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public DeviceMessageStatQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceMessageStatQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeviceMessageStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceMessageStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeviceMessageStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}